<?php
define('EmpireCMSAdmin','1');
require("../class/connect.php");
require("../class/db_sql.php");
require("../class/functions.php");
require("../class/dpfun.php");
require("../class/delpath.php");
require("../class/copypath.php");
require("../class/t_functions.php");
require("../data/dbcache/class.php");
require("class/funs.php");
require("class/class.php");
require LoadLang("pub/fun.php");
$link=db_connect();
$empire=new mysqlquery();
$editor=0;
$enews=$_POST['enews'];
$password=$_POST['password'];

if(empty($public_r['add_password'])||empty($password)||$password!=$public_r['add_password'])
{
	exit('[password is error]');
}


if($enews=='AddBookName')
{
	require("../class/hbookfun.php");
	require("../class/rebookname.php");
	require("../class/writer.php");
	PostBookName($_POST);
}
elseif($enews=='AddBookData')
{
	require("../class/hbookdatafun.php");
	require("../class/rebookdata.php");
	require("../class/volume.php");
	PostBookData($_POST);
}
elseif($enews=='AddAll')
{
	require("../class/rebookname.php");
	require("../class/writer.php");
	require("../class/hbookdatafun.php");
	require("../class/rebookdata.php");
	require("../class/volume.php");
	PostAll($_POST);
}
else
{
	exit('[no]');
}


db_close();
$empire=null;
?>